Skip to main content
POST
/
agent
/
v1
/
chat
curl -X POST "https://api.case.dev/agent/v1/chat" \ -H "Authorization: Bearer $CASEDEV_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "title": "<string>", "model": "<string>", "idleTimeoutMs": 0 }'
{
  "id": "<string>",
  "status": "<string>",
  "idleTimeoutMs": 123,
  "createdAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.case.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Body

application/json
title
string

Optional human-readable session title

model
string | null

Optional model override for the chat runtime session

idleTimeoutMs
integer | null

Idle timeout before session is eligible for snapshot/termination. Defaults to 15 minutes.

vaultIds
string[] | null

Restrict the chat session to specific vault IDs

Response

Chat session created

id
string
status
string
idleTimeoutMs
integer
createdAt
string<date-time>